* {
    font-family: 'poppins', sans-serif;
    box-sizing: border-box;
}
body{
    background: #252424;
    padding: 20px;
}
header{
    position: relative;
    margin-left: 60px;
    top: 30px;
}
header img{
    display: flex;
    position: absolute;
    width: 200px;
    height: auto;
    animation: travelling linear 4s infinite;
}
@keyframes travelling {
    0%{
        transform: translateX(0);
    }
    25%{
        transform: translateX(50%);
    }
    50%{
        transform: translateX(100%);
    }
    75%{
        transform: translateX(-50%);
    }
    100%{
        transform: translateX(0);
    }
}

.container{
    width: 400px;
    padding: 25px 25px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #fff;
    border-radius: 15px;
    box-shadow:  0 15px 10px 15px rgba(0, 0, 0, 0.4);
}

.container p{
    font-weight: 600;
    font-size: 15px;
    margin-bottom: 8px;
}

.container input{
    width: 100%;
    height: 50px;
    border: 1px solid #494eea;
    outline: 0;
    padding: 10px;
    border-radius: 5px;
    margin: 15px 0 20px;
}

.container button{
    width: 100%;
    height: 50px;
    background: #494eea;
    color: #fff;
    border: 0;
    outline: 0;
    border-radius: 5px;
    box-shadow: 0 15px 15px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    margin: 20px 0;
    font-weight: 500px;
    transition: all 0.2s ease-in-out;
}
.container button:hover{
    background: rgb(23, 175, 23);
}

footer p{
    position: fixed;
    float: left;
    bottom: 30px;
    right: 50px;
    color: rgb(247, 243, 243);
}
footer a{
    color: rgb(23, 175, 23);
}
#imgBox{
    width: 200px;
    border-radius: 5px;
    margin: 0 auto;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s;
}
#imgBox img{
    width: 100%;
    padding: 10px;
}
#imgBox.show-qr{
    max-height: 300px;
    margin: 10px, auto;
    border: 1px solid #d1d1d1;
}

.error{
    animation: move 0.1s linear 5;
}
@keyframes move {
    0%{
        transform: translateX(0);
    }
    25%{
        transform: translateX(-2px);
    }
    50%{
        transform: translateX(0);
    }
    75%{
        transform: translateX(2px);
    }
    100%{
        transform: translateX(0);
    }
}